socket_getpeername
socket_import_stream
Socket Functions
PHP Manual

# socket_getsockname

(PHP 4 >= 4.1.0, PHP 5)

socket_getsockname — Queries the local side of the given socket which may either result in host/port or in a Unix filesystem path, dependent on its type

### Description

bool socket_getsockname ( resource `$socket` , string `&$addr` [, int `&$port` ] )

> Note: socket_getsockname() should not be used with `AF_UNIX` sockets created with socket_connect(). Only sockets created with socket_accept() or a primary server socket following a call to socket_bind() will return meaningful values.

### Parameters

`socket`

  A valid socket resource created with socket_create() or socket_accept().

`addr`

  If the given socket is of type `AF_INET` or `AF_INET6`, socket_getsockname() will return the local IP address in appropriate notation (e.g. 127.0.0.1 or fe80::1) in the `address` parameter and, if the optional `port` parameter is present, also the associated port.

  If the given socket is of type `AF_UNIX`, socket_getsockname() will return the Unix filesystem path (e.g. /var/run/daemon.sock) in the `address` parameter.

`port`

  If provided, this will hold the associated port.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. socket_getsockname() may also return `FALSE` if the socket type is not any of `AF_INET`, `AF_INET6`, or `AF_UNIX`, in which case the last socket error code is not updated.

### See Also

- socket_getpeername() - Queries the remote side of the given socket which may either result in host/port or in a Unix filesystem path, dependent on its type
- socket_last_error() - Returns the last error on the socket
- socket_strerror() - Return a string describing a socket error

socket_getpeername
socket_import_stream
Socket Functions
PHP Manual